E-MailRelay

Classes | Namespaces
gserverpeer.h File Reference
`#include "gdef.h"`
`#include "gsocket.h"`
`#include "gsocketprotocol.h"`
`#include "gexception.h"`
`#include "gaddress.h"`
`#include "glinebuffer.h"`
`#include "gtimer.h"`
`#include "gconnection.h"`
`#include "gexceptionsource.h"`
`#include "gevent.h"`
`#include "gstringview.h"`
`#include <utility>`
`#include <memory>`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::ServerPeerConfig
| A structure that GNet::Server uses to configure its ServerPeer objects. More...
class | GNet::ServerPeer
| An abstract base class for the GNet::Server's connection to a remote client. More...

## Namespaces
namespace | GNet
| Network classes.